Package org.drinkless.tdlib

# Class TdApi.PageBlockTableCell

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlockTableCell

Enclosing class:
  `TdApi`

public static class TdApi.PageBlockTableCell extends TdApi.Object
Represents a cell of a table.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.PageBlockHorizontalAlignment`
  `align`
  Horizontal cell content alignment.
  `int`
  `colspan`
  The number of columns the cell spans.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isHeader`
  True, if it is a header cell.
  `int`
  `rowspan`
  The number of rows the cell spans.
  `TdApi.RichText`
  `text`
  Cell text; may be null.
  `TdApi.PageBlockVerticalAlignment`
  `valign`
  Vertical cell content alignment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockTableCell()`
  Represents a cell of a table.
  `PageBlockTableCell(TdApi.RichText text, boolean isHeader, int colspan, int rowspan, TdApi.PageBlockHorizontalAlignment align, TdApi.PageBlockVerticalAlignment valign)`
  Represents a cell of a table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    @Nullable public TdApi.RichText text
    Cell text; may be null. If the text is null, then the cell must be invisible.

  - ### isHeader

    public boolean isHeader
    True, if it is a header cell.

  - ### colspan

    public int colspan
    The number of columns the cell spans.

  - ### rowspan

    public int rowspan
    The number of rows the cell spans.

  - ### align

    public TdApi.PageBlockHorizontalAlignment align
    Horizontal cell content alignment.

  - ### valign

    public TdApi.PageBlockVerticalAlignment valign
    Vertical cell content alignment.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockTableCell

    public PageBlockTableCell()
    Represents a cell of a table.

  - ### PageBlockTableCell

    public PageBlockTableCell(TdApi.RichText text, boolean isHeader, int colspan, int rowspan, TdApi.PageBlockHorizontalAlignment align, TdApi.PageBlockVerticalAlignment valign)
    Represents a cell of a table.
    Parameters:
      `text` - Cell text; may be null. If the text is null, then the cell must be invisible.
      `isHeader` - True, if it is a header cell.
      `colspan` - The number of columns the cell spans.
      `rowspan` - The number of rows the cell spans.
      `align` - Horizontal cell content alignment.
      `valign` - Vertical cell content alignment.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR